// mesh width associated with points
lc = 0.013;

R = 1/4;  // Radius of pore
h = 1/8;  // Height of inlet
ix = 1/2; // Inlet length
dx = R - Sqrt(R*R - h*h/4); // Additional x-distance to the edge of the circle 

Point(1) = {0,          0,  0, lc};
Point(2) = {ix+dx,      0,  0, lc};
Point(3) = {ix+R+R-dx,  0,  0, lc};
Point(4) = {ix+R+R+ix,  0,  0, lc};
Point(5) = {ix+R+R+ix,  h,  0, lc};
Point(6) = {ix+R+R-dx,  h,  0, lc};
Point(7) = {ix+dx,      h,  0, lc};
Point(8) = {0,          h,  0, lc};

Point(9) = {ix+R, h/2, 0, lc};

Line(1) = {1,2};
Circle(2) = {2,9,3};
Line(3) = {3,4};
Line(4) = {4,5};
Line(5) = {5,6};
Circle(6) = {6,9,7};
Line(7) = {7,8};
Line(8) = {1,8};

Periodic Line {4} = {8};

Line Loop(100) = {1,2,3,4,5,6,7,-8};  
Plane Surface(200) = {100};
Physical Surface(300) = {200};

Mesh.Algorithm = 5;
